      subroutine liri(mat,long,ifil)
      dimension mat(long)
c      write(6,*)'liri long,ifil',long,ifil
      read(ifil) mat
      return
      end
       subroutine lirc(c,long,ifil)
      character*1 c(long)
c     write(6,*)'liri long,ifil',long,ifil
      read(ifil) c
      return
      end
